CREATE TABLE Clientes_Doc (
	Id_Cliente INT NOT NULL,
	Item SMALLINT NOT NULL,
	Descripcion VARCHAR(100),
	Fecha DATETIME,
	Extension VARCHAR(20),
	Documento VARBINARY(8000)
)

GO

ALTER TABLE Clientes_Doc ADD CONSTRAINT PK_CLID_PorId PRIMARY KEY CLUSTERED (Id_Cliente,Item)
GO

ALTER TABLE Clientes_Doc ADD CONSTRAINT FK_CLID_Clientes FOREIGN KEY  (Id_Cliente)
       REFERENCES Clientes (Id_Cliente)
GO

-------------------------------------- Contratos

ALTER TABLE Contratos ADD Descripcion VARCHAR(200)
GO

CREATE INDEX IX_Cont_PorDesc ON Contratos (Descripcion,Id_Contrato)
GO

--------------------------------------- Mails

CREATE TABLE Tab_Emails_Tipos (
	Id_Tipo_Email  INT NOT NULL,
	Descripcion  VARCHAR(100),
	Asunto VARCHAR(400),
	Cuerpo_Texto TEXT,
	Cuerpo_HTML TEXT,
	Adjunto1 VARBINARY(8000),
	Adjunto2 VARBINARY(8000),
	Adjunto3 VARBINARY(8000),
	Adjunto4 VARBINARY(8000)
)
GO

ALTER TABLE Tab_Emails_Tipos ADD CONSTRAINT PK_TEMT_PorID PRIMARY KEY (Id_Tipo_Email)
GO

CREATE UNIQUE INDEX IX_TEMT_PorDesc ON Tab_Emails_Tipos (Descripcion)
GO


